> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/bidtenant.md).

# BIDTenant

**public class** BIDTenant extends **Object**

↳ **package** com.onekosmos.blockid.sdk.datamodel

***

Model class to represent the tenant data (attributes)

### Constructor

**public** BIDTenant(@NonNull String tenantTag, @NonNull String community, @NonNull String dns)

* Creates an object of BIDTenant based on the given tenant tag, community name, and DNS (URL)

| *type*   | parameter | summary        |
| -------- | --------- | -------------- |
| *String* | tenantTag | Tenant tag     |
| *String* | community | Community name |
| *String* | dns       | Tenant URL     |

### Method Summary

| *type*   | **parameter**                          | summary                         |
| -------- | -------------------------------------- | ------------------------------- |
| *String* | **getCommunity()**                     | Returns tenant's community name |
| *String* | **getCommunityId()**                   | Returns tenant's community ID   |
| *String* | **getDns()**                           | Returns tenant's DNS (URL)      |
| *String* | **getTenantId()**                      | Returns tenant's tenant ID      |
| *String* | **getTenantTag()**                     | Returns tenant's tenant tag     |
| *void*   | **setCommunityId(String communityId)** | Set communityID for tenant      |
| *void*   | **setTenantId(String tenantId)**       | Set tenant ID for tenant        |
| *void*   | **setTenantTag(String tenantTag)**     | Set tenant tag for tenant       |

### Method Detail

#### getCommunity

**public** String getCommunity()

* Returns the tenant's community name.

***

#### getCommunityId

**public** String getCommunityId()

* Returns the tenant's community ID.

***

#### getDns

**public** String getDns()

* Returns tenant's DNS (URL).

***

#### getTenantId

**public** String getTenantId()

* Returns the tenant's tenant ID.

***

#### getTenantTag

**public** String getTenantTag()

* Returns the tenant's tenant tag.

***

#### setCommunityId

**public void** setCommunityId(String communityId)

* Sets the community ID for the tenant.

| Parameter   |                           |
| ----------- | ------------------------- |
| communityId | **String**: Community ID. |

***

#### setTenantId

**public void** setTenantId(String tenantId)

* Set the tenant ID for the tenant.

| Parameter |                       |
| --------- | --------------------- |
| tenantId  | **String**: Tenant ID |

***

#### setTenantTag

**public void** setTenantTag(String tenantTag)

* Set tenantTag for tenant.

| Parameter |                        |
| --------- | ---------------------- |
| tenantTag | **String**: Tenant Tag |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/android/api-reference/classes/bidtenant.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
